package com.kingdee.eas.custom.perfweb;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class AssessmentResultDescriptionFactory
{
    private AssessmentResultDescriptionFactory()
    {
    }
    public static com.kingdee.eas.custom.perfweb.IAssessmentResultDescription getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.perfweb.IAssessmentResultDescription)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("5C1E7175") ,com.kingdee.eas.custom.perfweb.IAssessmentResultDescription.class);
    }
    
    public static com.kingdee.eas.custom.perfweb.IAssessmentResultDescription getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.perfweb.IAssessmentResultDescription)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("5C1E7175") ,com.kingdee.eas.custom.perfweb.IAssessmentResultDescription.class, objectCtx);
    }
    public static com.kingdee.eas.custom.perfweb.IAssessmentResultDescription getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.perfweb.IAssessmentResultDescription)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("5C1E7175"));
    }
    public static com.kingdee.eas.custom.perfweb.IAssessmentResultDescription getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.perfweb.IAssessmentResultDescription)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("5C1E7175"));
    }
}